Error on build

Answered

I'm trying to use rider on a Mac for an existing project that we compile with mono. When I compile, I get the following error:

Error:null: /**path_to_solution**/.nuget/NuGet.targets :  error : Command 'mono --runtime=v4.0.30319 /**path_to_solution**/.nuget/NuGet.exe install "packages.config" -source ""   -RequireConsent -solutionDir "/**path_to_solution**/ " ' exited with code: 1.

Any idea how I can fix this?

Thanks,

Jon

3 comments
Comment actions Permalink

Hi!

It seems that you have "Solution level nuget", which might be not supported.
https://github.com/NuGet/Home/issues/522

Have you considered refactoring to bring all nugets to project level?

Please share your experience.

Thanks!

 

0
Comment actions Permalink

Mostly possible that whole this NuGet.targets step is not needed in Rider, because it restores packages by itself out of the box.

But it might be useful for Continuous Integration.

Also, please check this http://docs.nuget.org/ndocs/consume-packages/package-restore#migrating-to-automatic-restore

0

Please sign in to leave a comment.